// DerivedClass1.cpp
//
// ICS 65 Fall 2012
// Code Example

#include "DerivedClass1.h"
using namespace std;


void DerivedClass1::print(ostream& out) const
{
	// This is an example of calling the base class version of a member
	// function from the derived class version.  In Java, you would do
	// something like this:
	//
	//     super.print(out);
	//
	// In C++, there is no "super" keyword, so you have to use the name
	// of the class directly.  This does have a benefit: you can call a
	// version of the function that's more than one level up the inheritance
	// hierarchy if you choose.  The downside is that changing the
	// inheritance hierarchy -- say, inserting a new class in between this
	// one and BaseClass -- will not change the meaning of your function
	// call, as it would with the "super" notation.

	BaseClass::print(out);
	out << ", bb=" << bb;
}
