// DerivedClass2.h
//
// ICS 65 Fall 2012
// Code Example
//
// This is another example of deriving a class from BaseClass and giving
// it an implementation of the clone() method, including the use of a
// covariant return type.

#include "BaseClass.h"


class DerivedClass2 : public BaseClass
{
public:
	DerivedClass2(int i, const std::string& s, double d): BaseClass(i, s), dd(d) { }
	virtual ~DerivedClass2() { }

	double getDD() const { return dd; }


	virtual DerivedClass2* clone() const
	{
		return new DerivedClass2(*this);
	}

	
	virtual void print(std::ostream& out) const;


private:
	double dd;
};
